Email
Inboxes
Marketing
SMS
Sign
Verify
Forms
Scheduling
Hooks
Risk
Platform
Retrieve a holiday calendar
GET
/v1/scheduling/holiday_calendars/{id}
With when it was last read, and why not if it couldn't be.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
id*stringThe holiday calendar's id.
Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"The calendar.
application/json- response
- response
- …
object*"scheduling.holiday_calendar"Value in
"scheduling.holiday_calendar"id*stringname*stringsource*stringValue in
"country""ics"country*string|nullhosts*array<string>|nullhost_filter*|nullregions*array<string>|nulldelegates*array<string>existing_bookings*stringValue in
"leave""reassign"last_read_at*string|nulllast_error*|Why its feed couldn't be read.
created_at*stringupdated_at*stringimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.scheduling.holidayCalendars.get("string");{ "object": "scheduling.holiday_calendar", "id": "hcal_01kd2m9a0b1c2d3e4f5g6h7j8m", "name": "UK team", "source": "country", "country": "GB", "hosts": null, "host_filter": { "team": "london" }, "regions": [ "England" ], "delegates": [], "existing_bookings": "leave", "last_read_at": "2027-01-01T10:00:00.000Z", "last_error": null, "created_at": "2027-01-01T10:00:00.000Z", "updated_at": "2027-01-01T10:00:00.000Z"}